;;; Chozo Statues/FX1 Ani GFX ;;;

;;; Enables misc. animations (spikes, FX1) ;;;
$878000 08          PHP
$878001 C2 20       REP #$20
$878003 A9 00 80    LDA #$8000
$878006 0C F1 1E    TSB $1EF1  [$7E:1EF1]
$878009 28          PLP
$87800A 6B          RTL


;;; Disables misc. animations (spikes, FX1) ;;;
$87800B 08          PHP
$87800C C2 20       REP #$20
$87800E A9 00 80    LDA #$8000
$878011 1C F1 1E    TRB $1EF1  [$7E:1EF1]
$878014 28          PLP
$878015 6B          RTL


;;;  ;;;
$878016 08          PHP
$878017 C2 30       REP #$30
$878019 DA          PHX
$87801A A2 0A 00    LDX #$000A

$87801D 9E F5 1E    STZ $1EF5,x[$7E:1EFF]   ; Pointer to animation table pointer, # bytes to transfer, VRAM placement.
$878020 CA          DEX
$878021 CA          DEX
$878022 10 F9       BPL $F9    [$801D]
$878024 FA          PLX
$878025 28          PLP
$878026 6B          RTL


;;;  ;;;
$878027 08          PHP
$878028 8B          PHB
$878029 DA          PHX
$87802A 4B          PHK
$87802B AB          PLB
$87802C A2 0A 00    LDX #$000A

$87802F BD F5 1E    LDA $1EF5,x[$7E:1EFF]   ; Pointer to animation table pointer, # bytes to transfer, VRAM placement.
$878032 F0 09       BEQ $09    [$803D]
$878034 CA          DEX
$878035 CA          DEX
$878036 10 F7       BPL $F7    [$802F]

$87803D 98          TYA
$87803E 9D F5 1E    STA $1EF5,x[$7E:1EFF]   ; Pointer to animation table pointer, # bytes to transfer, VRAM placement.
$878041 9E 01 1F    STZ $1F01,x[$7E:1F0B]   ; Unknown
$878044 B9 00 00    LDA $0000,y[$87:82E7]
$878047 9D 0D 1F    STA $1F0D,x[$7E:1F17]   ; Pointer to current instruction to run
$87804A 9E 25 1F    STZ $1F25,x[$7E:1F2F]   ; Graphic pointer (in $87)
$87804D B9 02 00    LDA $0002,y[$87:82E9]
$878050 9D 31 1F    STA $1F31,x[$7E:1F3B]   ; Graphic size
$878053 B9 04 00    LDA $0004,y[$87:82EB]
$878056 9D 3D 1F    STA $1F3D,x[$7E:1F47]   ; VRAM address
$878059 A9 01 00    LDA #$0001
$87805C 9D 19 1F    STA $1F19,x[$7E:1F23]   ; Delay counter for something?
$87805F FA          PLX
$878060 AB          PLB
$878061 28          PLP
$878062 18          CLC
$878063 6B          RTL


;;; Handle misc. animations ;;;
$878064 08          PHP
$878065 8B          PHB
$878066 4B          PHK
$878067 AB          PLB
$878068 2C F1 1E    BIT $1EF1  [$7E:1EF1]   ;\
$87806B 10 15       BPL $15    [$8082]      ;} If misc. animations disabled: return
$87806D A2 0A 00    LDX #$000A

$878070 8E F3 1E    STX $1EF3  [$7E:1EF3]   ; Index value for following table
$878073 BD F5 1E    LDA $1EF5,x[$7E:1EFF]   ;\
$878076 F0 06       BEQ $06    [$807E]      ;} If (Pointer to animation table pointer, # bytes to transfer, VRAM placement.):
$878078 20 85 80    JSR $8085  [$87:8085]
$87807B AE F3 1E    LDX $1EF3  [$7E:1EF3]   ; Index value for following table

$87807E CA          DEX
$87807F CA          DEX
$878080 10 EE       BPL $EE    [$8070]

$878082 AB          PLB
$878083 28          PLP
$878084 6B          RTL


;;; PLM-esque instruction handler ;;;
$878085 AE F3 1E    LDX $1EF3  [$7E:1EF3]   ; Index value for following table
$878088 DE 19 1F    DEC $1F19,x[$7E:1F23]   ; Decrement Delay counter for something?
$87808B D0 24       BNE $24    [$80B1]      ; If not zero: return
$87808D BC 0D 1F    LDY $1F0D,x[$7E:1F17]   ; Pointer to current instruction to run

$878090 B9 00 00    LDA $0000,y[$87:82CF]
$878093 10 0B       BPL $0B    [$80A0]
$878095 8D 49 1F    STA $1F49  [$7E:1F49]   ; Specific instruction being run by above stuff
$878098 C8          INY
$878099 C8          INY
$87809A F4 8F 80    PEA $808F
$87809D 6C 49 1F    JMP ($1F49)[$87:80B7]   ; Specific instruction being run by above stuff

$8780A0 9D 19 1F    STA $1F19,x[$7E:1F23]   ; Delay counter for something?
$8780A3 B9 02 00    LDA $0002,y[$87:82D1]
$8780A6 9D 25 1F    STA $1F25,x[$7E:1F2F]   ; Graphic pointer (in $87)
$8780A9 98          TYA
$8780AA 18          CLC
$8780AB 69 04 00    ADC #$0004
$8780AE 9D 0D 1F    STA $1F0D,x[$7E:1F17]   ; Pointer to current instruction to run

$8780B1 60          RTS


;;; Instruction: Clear pointer to animation table pointer, # bytes to transfer, VRAM placement. ;;;
$8780B2 9E F5 1E    STZ $1EF5,x[$7E:1EFF]
$8780B5 68          PLA
$8780B6 60          RTS


;;; Instruction: Go to ;;;
$8780B7 B9 00 00    LDA $0000,y[$87:82E5]
$8780BA A8          TAY
$8780BB 60          RTS


;;; Instruction: Check event ;;;
$87813F B9 00 00    LDA $0000,y[$87:8482]
$878142 C8          INY
$878143 C8          INY
$878144 22 33 82 80 JSL $808233[$80:8233]
$878148 90 03       BCC $03    [$814D]
$87814A ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

$87814D C8          INY
$87814E C8          INY
$87814F 60          RTS


;;; Instruction: Set event ;;;
$878150 B9 00 00    LDA $0000,y[$87:84D2]
$878153 22 FA 81 80 JSL $8081FA[$80:81FA]
$878157 C8          INY
$878158 C8          INY
$878159 60          RTS


$87816A             dw 0008,9C04, 0008,9C84, 0008,9D04, 0008,9C84, 80B7,816A
$87817E             dw 0008,9D84, 0008,9E04, 0008,9E84, 0008,9E04, 80B7,817E
$878192             dw 000A,8564, 000A,8764, 000A,8964, 000A,8764, 80B7,8192
$8781A6             dw 000A,8B64, 000A,8C24, 000A,8CE4, 000A,8DA4, 80B7,81A6


;;; Instruction: Check boss ;;;
$8781BA A9 01 00    LDA #$0001
$8781BD 22 DC 81 80 JSL $8081DC[$80:81DC]
$8781C1 B0 07       BCS $07    [$81CA]
$8781C3 68          PLA
$8781C4 A9 01 00    LDA #$0001
$8781C7 9D 19 1F    STA $1F19,x[$7E:1F23]

$8781CA 60          RTS


$8781CB             dw 81BA, 000A,8EE4, 000A,8F64, 000A,8FE4, 000A,8F64, 80B7,81CD
$8781E1             dw 81BA, 0001,8E64, 0001,8E84, 0001,8EA4, 0001,8EC4, 80B7,81E3
$8781F7             dw 81BA, 0001,8EC4, 0001,8EA4, 0001,8E84, 0001,8E64, 80B7,81F9
$87820D             dw 0010,9964, 0010,9A44, 0010,9B24, 0010,9A44, 80B7,820D
$878221             dw 000A,91E4, 000A,9224, 000A,9264, 000A,92A4, 80B7,8221
$878235             dw 000A,9164, 000A,9184, 000A,91A4, 000A,91C4, 80B7,8235
$878249             dw 80B2

$87824B             dw 8249,0000,0000, 816A,0080,3880, 817E,0080,3D60, 8192,0200,1B00, 81A6,00C0,0A00, 81A6,00C0,0640, 81CB,0080,19C0, 81E1,0020,00E0, 81F7,0020,00E0, 820D,00E0,0410, 8221,0040,1000, 8235,0020,1020

$878293             dw 000D,A564, 000D,A5A4, 000D,A5E4, 000D,A624, 000D,A664, 80B7,8293
$8782AB             dw 8293,0040,4280

$8782B1             dw 000A,A6A4, 000A,A6E4, 000A,A724, 000A,A764, 000A,A7A4, 80B7,82B1
$8782C9             dw 82B1,0040,4280

$8782CF             dw 000A,A874, 000A,A8C4, 000A,A914, 000A,A964, 000A,A9B4, 80B7,82CF
$8782E7             dw 82CF,0050,4280

$8782ED             dw 000A,A7E4, 000A,A814, 000A,A844, 80B7,82ED
$8782FD             dw 82ED,0030,4280


;;; Instruction:  ;;;
$878303 DA          PHX
$878304 B9 01 00    LDA $0001,y[$87:849D]
$878307 29 FF 00    AND #$00FF
$87830A AA          TAX
$87830B BF 28 D8 7E LDA $7ED828,x[$7E:D829]
$87830F FA          PLX
$878310 39 00 00    AND $0000,y[$87:849C]
$878313 C8          INY
$878314 C8          INY
$878315 29 FF 00    AND #$00FF
$878318 F0 03       BEQ $03    [$831D]
$87831A 4C B7 80    JMP $80B7  [$87:80B7]
$87831D ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

$878320 5A          PHY
$878321 B9 00 00    LDA $0000,y[$87:84BE]
$878324 A0 6A BA    LDY #$BA6A
$878327 22 97 80 86 JSL $868097[$86:8097]
$87832B 7A          PLY
$87832C C8          INY
$87832D C8          INY
$87832E 60          RTS


;;; Instruction: Spawn ER projectile $BA94 ;;;
$87832F 5A          PHY
$878330 B9 00 00    LDA $0000,y[$87:84C6]
$878333 A0 94 BA    LDY #$BA94
$878336 22 97 80 86 JSL $868097[$86:8097]
$87833A 7A          PLY
$87833B C8          INY
$87833C C8          INY
$87833D 60          RTS


;;; Instruction:  ;;;
$87833E AD 6F 1E    LDA $1E6F  [$7E:1E6F]   ; Unknown
$878341 10 03       BPL $03    [$8346]
$878343 4C B7 80    JMP $80B7  [$87:80B7]

$878346 C8          INY
$878347 C8          INY
$878348 60          RTS


;;; Instruction:  ;;;
$878349 B9 00 00    LDA $0000,y[$87:847E]
$87834C 0C 6F 1E    TSB $1E6F  [$7E:1E6F]   ; Unknown
$87834F C8          INY
$878350 C8          INY
$878351 60          RTS


;;; Instruction:  ;;;
$878352 B9 00 00    LDA $0000,y[$87:84D6]
$878355 1C 6F 1E    TRB $1E6F  [$7E:1E6F]   ; Unknown
$878358 C8          INY
$878359 C8          INY
$87835A 60          RTS


;;; Instruction: Clear given colour palette ;;;
$87835B DA          PHX
$87835C BE 00 00    LDX $0000,y[$87:84B2]
$87835F A9 00 00    LDA #$0000
$878362 9F 00 C0 7E STA $7EC000,x[$7E:C0F8]
$878366 9F 02 C0 7E STA $7EC002,x[$7E:C0FA]
$87836A 9F 04 C0 7E STA $7EC004,x[$7E:C0FC]
$87836E FA          PLX
$87836F C8          INY
$878370 C8          INY
$878371 60          RTS


;;; Instruction:  ;;;
$878372 5A          PHY
$878373 B9 00 00    LDA $0000,y[$87:84CA]
$878376 A8          TAY
$878377 22 E9 C4 8D JSL $8DC4E9[$8D:C4E9]
$87837B 7A          PLY
$87837C C8          INY
$87837D C8          INY
$87837E 60          RTS


$8783AC             db 49, 83, 01, 00, 3F, 81, 06, 00
$8783B6             db 06, 00, 64, 93, 0C, 00, E4, 93, 0C, 00, 64, 94, 0C, 00, E4, 93, 10, 00, 64, 93, 03, 83, 01, 03, D8, 83
$8783D8             db 3E, 83, BA, 83, 49, 83, 00, 80, 5B, 83, 58, 01, 10, 00, E4, 93, 10, 00, 64, 94, 20, 83, 00, 00, C0, 00, E4, 97, 2F, 83, 00, 00, 72, 83, 55, F7, 80, 00, E4, 97, 50, 81, 06, 00, 52, 83, 01, 80, B2, 80
$878414             db 49, 83, 02, 00, 3F, 81, 07, 00
$87841E             db 0A, 00, E4, 94, 0C, 00, 24, 95, 0C, 00, 64, 95, 0C, 00, 24, 95, 10, 00, E4, 94, 03, 83, 01, 02, 40, 84
$878440             db 3E, 83, 22, 84, 49, 83, 00, 80, 5B, 83, 32, 01, 10, 00, 24, 95, 10, 00, 64, 95, 20, 83, 02, 00, C0, 00, 64, 98, 2F, 83, 02, 00, 72, 83, 51, F7, 80, 00, 64, 98, 50, 81, 07, 00, 52, 83, 02, 80, B2, 80
$87847C             db 49, 83, 04, 00, 3F, 81, 09, 00
$878486             db 04, 00, 24, 97, 0C, 00, 64, 97, 0C, 00, A4, 97, 0C, 00, 64, 97, 10, 00, 24, 97, 03, 83, 01, 01, A8, 84
$8784A8             db 3E, 83
$8784AC             db 49, 83, 00, 80, 5B, 83, F8, 00, 10, 00, 64, 97, 10, 00, A4, 97, 20, 83, 06, 00, C0, 00, A4, 98, 2F, 83, 06, 00, 72, 83, 4D, F7, 80, 00, A4, 98, 50, 81, 09, 00, 52, 83, 04, 80, B2, 80
$8784E4             db 49, 83, 08, 00, 3F, 81, 08, 00
$8784EE             db 08, 00, A4, 95, 0C, 00, 24, 96, 0C, 00, A4, 96, 0C, 00, 24, 96, 10, 00, A4, 95, 03, 83, 01, 04, 10, 85
$878510             db 3E, 83, F2, 84, 49, 83, 00, 80, 5B, 83, D2, 00, 10, 00, 24, 96, 10, 00, A4, 96, 20, 83, 04, 00, C0, 00, E4, 98, 2F, 83, 04, 00, 72, 83, 49, F7, 80, 00, E4, 98, 50, 81, 08, 00, 52, 83, 08, 80, B2, 80
$87854C             db AC, 83, 80, 00, 00, 78, 14, 84, 40, 00, 20, 72, 7C, 84, 40, 00, 40, 0B, E4, 84, 80, 00, A0, 0C, FF, FF, FF, FF, 01, FF, 00, FF, 7F, 80, 00, FF, FF, 00, FC, 03, FF, C3, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, FF, FF, 00, FF, 03, FF, 00, FF, F8, 07, 01, FE, FF, C1, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, 9F, FF, 7F, FF, 87, F8, 00, FF, FC, 03, 00, FF, FF, 8F, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, EC, FF, 8F, FF, C0, 3F, 00, FF, 07, F8, 07, F8, FF, 81, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 10, E0, FF, 00, 43, BC, 00, 00, E0, 00, FF, 00, FF, 00, E0, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 10, 0F, FF, 00, FE, 00, FF, 00, 00, 00, 83, 00, FF, 00, FE, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, C0, 3F, 01, 00, FF, 00, 01, 00, FF, 00, FF, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 80, 7F, FF, 00, CC, 03, C0, 00, FF, 00, FF, 00, 07, 00, 07, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 30, 00, E3, 00, BF, 00, F8, 00, 00, 00, 03, 00, 03, 00, FE, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 00, 00, 80, 00, FF, 00, 0F, 00, 07, 00, FF, 00, FF, 00, 1F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 7F, 00, 1E, 00, F0, 00, FF, 00, FF, 00, C0, 00, E0, 00, 80, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 00, 00, 7F, 00, FF, 00, 80, 00, 80, 00, 00, 00, 00, 00, 1F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, F8, 00, 00, 00, A0, 00, E1, 00, FF, 00, 78, 00, 3E, 00, 80, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 00, 00, 0F, 00, 07, 00, FC, 00, 8F, 00, 3C, 00, 00, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 7F, 00, FF, 00, FC, 00, 00, 00, 00, 00, 00, 00, 70, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 0F, 00, F0, 00, 3F, 00, 3F, 00, 00, 00, 00, 00, 00, 00, 3F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, 03, FF, 80, FF, FE, 01, 00, FF, FF, 00, FE, 01, FF, C3, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, FF, FF, 00, FF, 07, FF, 00, FF, F1, 0E, 00, FF, FF, C1, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, 3F, FF, 3F, FF, 0F, F0, 00, FF, F8, 07, 80, 7F, FF, 8F, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, D8, FF, C7, FF, 80, 7F, 00, FF, 0F, F0, 03, FC, FF, 81, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 20, C0, FF, 00, 87, 78, 00, 00, 80, 00, FF, 00, FF, 00, F8, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 21, 1E, FF, 00, FC, 00, 7F, 00, 00, 00, E0, 00, FF, 00, 3F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, E0, 1F, 03, 00, FF, 00, 07, 00, FF, 00, FC, 00, 80, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 00, FF, 7F, 80, 98, 07, E0, 00, FF, 00, FF, 00, 1F, 00, 01, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, C0, 00, F8, 00, FF, 00, 3E, 00, 00, 00, 00, 00, 0F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 01, 00, E0, 00, FF, 00, 03, 00, 1F, 00, FF, 00, FF, 00, 87, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FC, 00, 07, 00, C3, 00, FF, 00, FE, 00, F0, 00, 80, 00, E0, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 00, 00, 9F, 00, FE, 00, E0, 00, 00, 00, 00, 00, 00, 00, 07, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, E0, 00, 00, 00, 80, 00, F8, 00, FE, 00, 1E, 00, F8, 00, E0, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 01, 00, 03, 00, 1F, 00, 7F, 00, 3C, 00, 0F, 00, 01, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FC, 00, FF, 00, F0, 00, 00, 00, 00, 00, 00, 00, C0, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 3F, 00, FC, 00, FE, 00, 0F, 00, 03, 00, 00, 00, 00, 00, 0F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, 07, FF, C0, FF, FC, 03, 00, FF, FF, 00, FF, 00, FF, C3, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, FE, FF, 00, FF, 0E, FF, 00, FF, E3, 1C, 00, FF, FF, C1, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, 7F, FF, 1F, FF, 1F, E0, 00, FF, F0, 0F, 40, BF, FF, 8F, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, FF, FF, FF, B0, FF, E3, FF, 01, FE, 00, FF, 1F, E0, 01, FE, FF, 81, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 40, 80, FF, 00, 0F, F0, 00, 00, 00, 00, FF, 00, FF, 00, 7E, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 43, 3C, FF, 00, F8, 00, 3F, 00, 00, 00, F8, 00, FF, 00, 0F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FE, 01, F0, 0F, 07, 00, FF, 00, 1F, 00, 3F, 00, F0, 00, E0, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 00, FF, 3F, C0, 31, 0E, F0, 00, FE, 00, FF, 00, 7F, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 00, 00, FE, 00, FF, 00, 0F, 00, 00, 00, 00, 00, 3F, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 07, 00, 38, 00, FF, 00, 80, 00, 7F, 00, 3F, 00, FE, 00, E1, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, F0, 00, 01, 00, 0F, 00, FF, 00, F8, 00, FC, 00, 00, 00, F8, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 03, 00, E7, 00, FB, 00, F8, 00, 00, 00, 00, 00, 00, 00, 01, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 80, 00, 00, 00, 00, 00, FE, 00, F8, 00, 07, 00, E0, 00, F8, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, 07, 00, 00, 00, 7F, 00, 1F, 00, F0, 00, 83, 00, 07, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, F0, 00, FF, 00, C3, 00, C0, 00, 00, 00, C0, 00, 00, 00, 00, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FA, 00, 03, 00, 0F, 00, 00, 00, 03, 00, 03, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00


;;; Animated graphics ;;;
; Wrecked Ship treadmill
$878E64             db 00, 7E, 00, E1, FF, 81, 81, FF, FF, FF, FF, FF, 80, E0, FF, 80, 00, 7E, 60, FF, 00, FF, 00, FF, 81, FF, FF, FF, FF, 60, FF, 00, 00, 9F, 00, 78, FF, 60, 60, FF, FF, FF, FF, FF, 80, E0, FF, 80, 00, 9F, 18, FF, 00, FF, 00, FF, 60, FF, FF, FF, FF, 60, FF, 00, 00, E7, 00, 1E, FF, 18, 18, FF, FF, FF, FF, FF, 80, E0, FF, 80, 00, E7, 06, FF, 00, FF, 00, FF, 18, FF, FF, FF, FF, 60, FF, 00, 00, F9, 00, 87, FF, 06, 06, FF, FF, FF, FF, FF, 80, E0, FF, 80, 00, F9, 81, FF, 00, FF, 00, FF, 06, FF, FF, FF, FF, 60, FF, 00, FF, FF, FF, 87, FF, F0, FD, E2, FF, F8, FE, F9, FC, F3, FA, 05, 01, 01, 07, 7F, 30, 30, 60, 61, 08, 08, 18, 18, 10, 10, 00, F8, FF, FF, D0, 2F, 00, FF, FF, 1F, 02, FF, 8F, 78, 37, FF, 5E, FE, 80, 80, 00, 00, 00, 00, 00, E0, 00, 00, 00, 07, 00, 00, 01, 01, 8F, 7F, 17, FF, AF, 7F, 1F, FF, C7, FE, EB, DF, FF, 83, DF, FF, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 00, 00, 00, 7C, 00, 00, FD, 80, D6, C0, C9, C0, C0, C0, F0, 00, A9, 85, 40, 00, 60, 00, 03, 7F, 3F, 3F, 7F, 7F, 7D, 7F, 0D, FF, 7D, 7F, E3, FF, FF, FF, FF, FF, FF, 0F, FF, FC, FF, F8, FC, E3, FA, E5, F7, C8, E9, 97, 00, 00, 03, F3, 0C, 0C, 18, 18, 20, 20, 60, 60, 40, 47, 80, 80, FF, F0, F4, CB, C0, 3F, 7F, 83, 0B, FF, 37, FF, DC, 3C, 7B, F8, 60, 6F, C0, C0, 00, 00, 00, 7C, 00, 00, 00, 00, 03, C3, 07, 07, E3, 9F, C5, BF, AB, 5F, F7, 0F, 1F, FF, AF, 70, 3D, FC, 7D, FC, 80, 80, 80, 80, 00, 00, 00, F0, 00, 00, 00, 0F, 03, 03, 03, 03, F6, F0, FD, C0, F2, F0, F0, F0, 09, 08, A0, 04, 43, 03, 83, 03, 0F, 0F, 07, 3F, 1F, 1F, 1D, 1F, FC, FF, 7D, FF, E3, FF, FF, FF, FF, FF, FF, FF, FF, E1, FF, FE, FF, F8, FE, F9, FF, 01, A5, 5F, 01, 01, 0F, 0F, 01, 1F, 06, 06, 08, 08, 18, 18, 00, 3E, 00, 00, FF, FF, D0, 2F, F8, 07, C9, 37, 02, FF, 9D, 63, 70, F0, EF, E0, 80, 80, 00, 00, 00, 18, 00, 00, 00, 00, 00, 1C, 0F, 0F, 1F, 1F, 8F, 7F, 17, FF, EB, D6, E1, DF, C7, 3F, EB, DF, FF, E0, F6, F0, 00, 00, 00, 00, 00, 01, 00, 00, 00, C0, 00, 00, 00, 1F, 0F, 0F, DF, C0, D6, C0, FC, 1C, FC, FC, C0, C0, A9, 85, 03, 03, 0F, 0F, 38, 3F, 3F, 3F, 07, E7, 05, 07, 3D, 3F, 7D, 7F, E3, FF, FF, FF

; Maridia sand
$879164             db AA, 20, 00, 14, 8A, AA, 45, 40, 00, 28, 00, 54, 80, 02, 55, 15, AA, 00, 54, 00, AA, 00, 55, 00, 2A, 00, 55, 00, A2, 00, 55, 00, 55, 15, 28, 20, 00, 15, 82, A2, 45, 40, 02, A8, 00, 54, 80, 02, 55, 00, 2A, 00, 55, 00, A2, 00, 55, 00, AA, 00, 54, 00, AA, 00, 00, 54, 80, 02, 55, 15, A8, 20, 00, 15, 08, 28, 45, 40, 02, A8, 54, 00, AA, 00, 55, 00, AA, 00, 55, 00, 28, 00, 55, 00, AA, 00, 0A, 2A, 45, 40, 02, A0, 00, 54, 80, 02, 55, 15, A8, 20, 00, 14, 2A, 00, 55, 00, A2, 00, 55, 00, AA, 00, 55, 00, AA, 00, 54, 00, FA, 20, 26, C8, 85, 1A, 85, 58, 2B, 47, 36, 1E, 90, 75, E2, C8, 00, FF, 08, FF, 1A, FF, 58, FF, 40, FF, 02, FC, 15, E0, 2A, C0, CF, 10, 53, 28, 09, 66, 83, 7C, 00, CB, 81, E8, 18, 5E, 25, 0F, 00, FF, 20, FF, 64, FF, 74, FF, 43, FF, 00, FF, 40, 1F, A8, 07, FA, 20, 26, C8, 85, 1A, 85, 58, 2B, 47, 36, 1C, 90, 60, E2, E2, 00, FF, 08, FF, 1A, FF, 58, FF, 40, FF, 02, FC, 15, E0, 2A, C0, CF, 10, 53, 28, 09, 66, 83, 7C, 00, CB, 81, E8, 18, 1E, 25, A7, 00, FF, 20, FF, 64, FF, 74, FF, 43, FF, 00, FF, 40, 1F, A8, 07, FA, 20, 26, C8, 85, 1A, 85, 58, 2B, 47, 36, 1E, 90, 75, E2, C8, 00, FF, 08, FF, 1A, FF, 58, FF, 40, FF, 02, FC, 15, E0, 2A, C0, CF, 10, 53, 28, 09, 66, 83, 7C, 00, CB, 81, E8, 18, 5E, 25, 0F, 00, FF, 20, FF, 64, FF, 74, FF, 43, FF, 00, FF, 40, 1F, A8, 07, FA, 20, 26, C8, 85, 1A, 85, 58, 2B, 47, 36, 1C, 90, 60, E2, E2, 00, FF, 08, FF, 1A, FF, 58, FF, 40, FF, 02, FC, 15, E0, 2A, C0, CF, 10, 53, 28, 09, 66, 83, 7C, 00, CB, 81, E8, 18, 1E, 25, A7, 00, FF, 20, FF, 64, FF, 74, FF, 43, FF, 00, FF, 40, 1F, A8, 07

; Statue crystal eye smash
$879364             db 57, D6, CB, F8, 9D, C0, 41, 3E, 84, 40, 15, 95, 41, 26, 26, C8, EF, 00, 87, 00, 3F, 00, FF, 00, C1, 3A, 81, 6A, 27, 9F, CF, 1F, 9D, 01, 62, 80, 39, 80, 02, FC, 01, 82, A0, A1, 82, 66, 64, 17, 9D, 62, FE, 01, FF, 00, FF, 00, A3, 5C, 89, 56, E4, F9, F3, F8, 04, C8, 09, 80, 08, 00, 04, 08, 06, 08, 01, 86, 01, A1, 28, A0, 4F, 3F, CE, 3E, 0F, FF, 0F, FF, 0F, FF, 07, 7F, 81, 5E, 81, 56, 20, 12, 10, 01, 10, 00, 20, 10, 60, 10, 81, 61, 84, 85, 10, 91, F3, FC, F3, FC, F0, FF, F0, FF, F0, FF, E0, FE, 81, 7A, 85, 6A, 57, D6, CB, F8, 9D, C0, 41, 3E, 84, 40, 15, 95, 44, 27, 29, CE, EF, 00, 87, 00, 3F, 00, FF, 00, C1, 3A, 81, 6A, 27, 9F, CF, 1F, 9D, 01, 62, 80, 39, 80, 02, FC, 01, 82, A0, A1, 22, E6, 94, 77, 9D, 62, FE, 01, FF, 00, FF, 00, A3, 5C, 89, 56, E4, F9, F3, F8, 03, CC, 07, 88, 07, 08, 03, 0C, 09, 0E, 04, 87, 01, A1, 28, A0, 4F, 3F, CE, 3E, 0F, FF, 0F, FF, 0F, FF, 07, 7F, 81, 5E, 81, 56, C0, 32, E0, 11, E0, 10, C0, 30, 90, 70, 21, E1, 84, 85, 10, 91, F3, FC, F3, FC, F0, FF, F0, FF, F0, FF, E0, FE, 81, 7A, 85, 6A, 57, D6, CB, F8, 9D, C0, 41, 3E, 84, 40, 15, 95, 44, 27, 28, CF, EF, 00, 87, 00, 3F, 00, FF, 00, C1, 3A, 81, 6A, 27, 9F, CF, 1F, 9D, 01, 62, 80, 39, 80, 02, FC, 01, 82, A0, A1, 22, E6, 14, F7, 9D, 62, FE, 01, FF, 00, FF, 00, A3, 5C, 89, 56, E4, F9, F3, F8, 01, CE, 03, 8C, 01, 0E, 00, 0F, 08, 0F, 04, 87, 01, A1, 28, A0, 4F, 3F, CE, 3E, 0F, FF, 0F, FF, 0F, FF, 07, 7F, 81, 5E, 81, 56, 00, F2, 80, 71, 00, F0, 00, F0, 10, F0, 21, E1, 84, 85, 10, 91, F3, FC, F3, FC, F0, FF, F0, FF, F0, FF, E0, FE, 81, 7A, 85, 6A, 16, 2E, A7, DC, 5F, 88, BF, 10, 9F, C7, 39, 9E, 68, 71, A3, C5, 3E, 41, FC, 02, F8, 05, F0, 0F, 47, 38, 9F, 60, 7F, 80, FF, 00, 64, 64, CD, 0D, 91, 1D, 2C, 32, 92, E1, EE, 2D, 81, 87, BB, 0B, 64, FB, 0D, F2, 1D, E2, 3E, C1, FF, 00, CF, 10, A7, 58, BB, 44, 16, 2E, A5, DE, 5A, 8D, B0, 1F, 87, DF, 19, BE, 68, 71, A3, C5, 3E, 41, FC, 02, F8, 05, F0, 0F, 47, 38, 9F, 60, 7F, 80, FF, 00, 64, 64, 0D, CD, 11, 9D, 2C, 32, 92, E1, EE, 2D, 81, 87, BB, 0B, 64, FB, 0D, F2, 1D, E2, 3E, C1, FF, 00, CF, 10, A7, 58, BB, 44, 16, 2E, A7, DE, 5F, 8D, BF, 1F, 9F, DF, 39, BE, 68, 71, A3, C5, 3E, 41, FC, 02, F8, 05, F0, 0F, 47, 38, 9F, 60, 7F, 80, FF, 00, 64, 64, CD, CD, 91, 9D, 2C, 32, 92, E1, EE, 2D, 81, 87, BB, 0B, 64, FB, 0D, F2, 1D, E2, 3E, C1, FF, 00, CF, 10, A7, 58, BB, 44, B9, FD, 59, 7D, 6D, 7D, 3D, 3D, 1D, 1D, 01, 01, 01, 0F, 0E, 11, FD, 02, 7D, 82, 7D, 82, 3D, C2, 1D, E2, 01, FE, 01, FE, 00, FF, E6, 48, EE, 50, B3, 01, 07, A3, 6F, 8D, CE, 8C, B2, C1, 4D, 73, AF, 10, BF, 00, FE, 00, FC, 00, F2, 00, F3, 00, FF, 00, 7F, 80, 1F, 00, 0F, 10, E6, 69, C7, 9F, 6B, 49, B0, 32, C5, 88, 84, 08, 00, FD, 00, FF, E0, 1F, FF, 00, 77, 80, F3, 0C, EF, 10, 8C, 73, 32, BE, 1C, 9C, 60, 60, 18, 38, 18, 88, 40, 10, 10, 00, 00, C0, 3E, C1, 1C, E2, 60, 9C, 38, C0, F8, 00, D0, 28, 18, E4, C0, 3C, B9, FD, 59, 7D, 6D, 7D, 3D, 3D, 1D, 1D, 01, 01, 01, 0F, 00, 1F, FD, 02, 7D, 82, 7D, 82, 3D, C2, 1D, E2, 01, FE, 01, FE, 00, FF, E6, 48, EE, 50, B3, 01, 07, A3, 6F, 8D, CE, 8C, B2, C1, 4D, 73, AF, 10, BF, 00, FE, 00, FC, 00, F2, 00, F3, 00, FF, 00, 7F, 80, 02, 1D, 00, 1F, E0, 6F, C7, 9F, 6B, 49, B0, 32, C5, 88, 84, 08, 00, FD, 00, FF, E0, 1F, FF, 00, 77, 80, F3, 0C, EF, 10, 8C, 73, 32, BE, 1C, 9C, 60, 60, 18, 38, 18, 88, 40, 10, 10, 00, 00, C0, 3E, C1, 1C, E2, 60, 9C, 38, C0, F8, 00, D0, 28, 18, E4, C0, 3C, B9, FD, 59, 7D, 6D, 7D, 3D, 3D, 1D, 1D, 01, 01, 0F, 0F, 1F, 1F, FD, 02, 7D, 82, 7D, 82, 3D, C2, 1D, E2, 01, FE, 01, FE, 00, FF, E6, 48, EE, 50, B3, 01, 07, A3, 6F, 8D, CE, 8C, B2, C1, 4D, 73, AF, 10, BF, 00, FE, 00, FC, 00, F2, 00, F3, 00, FF, 00, 7F, 80, 1F, 1D, 1F, 1F, EF, 6F, C7, 9F, 6B, 49, B0, 32, C5, 88, 84, 08, 00, FD, 00, FF, E0, 1F, FF, 00, 77, 80, F3, 0C, EF, 10, 8C, 73, B2, BE, 9C, 9C, 60, 60, 18, 38, 18, 88, 40, 10, 10, 00, 00, C0, 3E, C1, 1C, E2, 60, 9C, 38, C0, F8, 00, D0, 28, 18, E4, C0, 3C, 01, 03, 00, 00, 00, 00, 02, 00, 00, 00, 00, 40, 04, 05, 00, 27, 02, 00, 02, 05, 01, 07, 01, 05, 03, 47, 42, 27, 45, 22, 67, 18, 27, 6F, 0E, 0C, 48, 09, 42, 00, 00, 82, 22, 89, 04, 00, 70, 80, CF, 10, 2A, D1, 53, A4, 42, BD, BA, 7D, DB, 5C, 07, F8, FC, 03, 01, 03, 00, 00, 01, 00, 03, 00, 03, 00, 02, 40, 04, 05, 00, 27, 02, 00, 02, 05, 01, 07, 01, 05, 03, 47, 42, 27, 45, 22, 67, 18, 27, 6F, 0E, 0C, 48, 09, 42, 00, 38, 82, 72, 81, 04, 00, 70, 80, CF, 10, 2A, D1, 53, A4, 42, BD, BA, 7D, D3, 5C, 07, F8, FC, 03, 01, 03, 00, 00, 00, 01, 02, 01, 00, 03, 00, 42, 04, 05, 00, 27, 02, 00, 02, 05, 01, 07, 01, 05, 03, 47, 42, 27, 45, 22, 67, 18, 27, 6F, 0E, 0C, 48, 09, 42, 00, 00, BA, 22, D1, 04, 00, 70, 80, CF, 10, 2A, D1, 53, A4, 42, BD, BA, 7D, D3, 5C, 07, F8, FC, 03, 57, D6, CB, F8, 9D, C0, 41, 3E, 84, 40, 15, 95, 40, 20, 20, C0, EF, 00, 87, 00, 3F, 00, FF, 00, C1, 3A, 81, 6A, 20, 9F, C0, 1F, 9D, 01, 62, 80, 39, 80, 02, FC, 01, 82, A0, A1, 02, 06, 04, 07, 9D, 62, FE, 01, FF, 00, FF, 00, A3, 5C, 89, 56, 04, F9, 03, F8, 00, C0, 00, 80, 00, 00, 00, 00, 00, 00, 00, 80, 01, A1, 28, A0, 40, 3F, C0, 3F, 00, FF, 00, FF, 00, FF, 00, 7F, 81, 5E, 81, 56, 00, 02, 00, 01, 00, 00, 00, 00, 00, 00, 01, 01, 84, 85, 10, 91, 03, FC, 03, FC, 00, FF, 00, FF, 00, FF, 00, FE, 81, 7A, 85, 6A, 16, 2E, A4, DC, 58, 88, B0, 10, 8F, CF, 19, 9E, 68, 71, A1, C7, 3E, 41, FC, 03, F8, 07, F0, 0F, 4F, 30, 9F, 60, 7F, 80, FF, 00, 64, 64, 0D, 0D, 11, 1D, 2C, 32, 92, E1, EE, 2D, A1, A7, 8B, 1B, 64, FB, 0D, F2, 1D, E2, 3E, C1, FF, 00, EF, 10, 87, 58, BB, 44, 01, 03, 00, 00, 00, 00, 00, 40, 00, 00, 00, 20, 64, 05, 00, 47, 02, 00, 02, 05, 00, 47, 40, 27, 40, 27, 60, 17, 65, 12, 47, B8, 27, 6F, 0E, 0C, 48, 09, 42, 00, 00, 82, 02, 81, 04, 00, F0, 00, CF, 10, 2A, D1, 53, A4, 42, BD, 82, 7D, 83, 7C, 07, F8, F4, 0B, B9, FD, 59, 7D, 6D, 7D, 3D, 3D, 1D, 1D, 01, 01, 01, 01, 00, 00, FD, 02, 7D, 82, 7D, 82, 3D, C2, 1D, E2, 01, FE, 01, FE, 00, FF, E6, 48, EE, 50, B3, 01, 07, A3, 6F, 8D, CE, 8C, B2, C1, 4D, 73, AF, 10, BF, 00, FE, 00, FC, 00, F2, 00, F3, 00, FF, 00, 7F, 80, 00, 00, 00, 00, E4, 64, C7, 9F, 6B, 49, B0, 32, C5, 88, 84, 08, 00, FF, 00, FF, E4, 1B, FF, 00, 77, 80, F3, 0C, EF, 10, 8C, 73, 20, 3E, 1C, 1C, 60, 40, 30, 10, 20, E0, 80, 00, A0, 20, 40, 40, 3E, C1, 1C, E2, 60, 9C, 30, C0, E0, 10, A0, 50, 00, 40, 00, A0, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 0F, 0F, 1E, 1F, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 00, 0C, 00, 10, 00, 00, 00, 00, 00, 00, 00, 00, 1F, 1F, FA, FF, 55, FA, AF, 50, 00, 00, 00, 00, 00, 00, 00, 00, 00, 1F, 00, E0, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, CB, CF, EF, EF, FF, FF, 6F, FF, 00, 00, 00, 00, 00, 00, 00, 00, 00, C9, 00, 27, 00, 1F, 00, 01, 76, 76, 4A, 5E, 24, 2C, 24, 34, 12, 06, 1E, 12, 12, 16, 12, 16, 00, 76, 34, 4E, 18, 24, 18, 24, 1C, 02, 04, 12, 0C, 12, 0C, 12, 3D, 3E, 3A, 3F, 3D, 3E, 3A, 3F, 3D, 3F, 1F, 1F, 1F, 1F, 3B, 3F, 00, 20, 00, 00, 00, 00, 00, 00, 00, 20, 00, 10, 00, 1E, 00, 3F, 55, AA, AA, 55, 55, AF, AB, FF, 5F, FF, FC, FF, F1, FC, C0, F2, 00, 00, 00, 00, 00, 00, 00, 00, 00, 03, 00, 0F, 00, 3F, 00, FF, 57, F8, EB, FC, 51, FE, EB, FC, D5, FF, 6A, FF, 3D, 7F, 0F, 9F, 00, 00, 00, 00, 00, 00, 00, 00, 00, 80, 00, C0, 00, E0, 00, F8, 00, 00, 00, 00, 00, 00, 00, 00, 03, 03, 1F, 1F, 3E, 3F, 3D, 3E, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 13, 00, 3C, 00, 20, 00, 00, 00, 00, 00, 00, 7F, 7F, FF, FF, F5, FF, AA, F5, 5F, A0, 00, 00, 00, 00, 00, 00, 00, 41, 00, 3E, 00, C0, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 97, 9F, FF, FF, FF, FF, FF, FF, 78, FF, 00, 00, 00, 00, 00, 00, 00, 93, 00, 63, 00, 3F, 00, 61, 00, 00, 76, 76, 4A, 5E, 24, 2C, 24, 34, 12, 06, 1E, 12, 12, 16, 12, 16, 00, 76, 34, 4E, 18, 24, 18, 24, 1C, 02, 04, 12, 0C, 12, 0C, 12, 2A, 3D, 35, 3E, 3A, 3F, 3D, 3F, 3F, 3F, 3F, 3F, 3F, 3F, 3B, 7F, 00, 20, 00, 00, 00, 00, 00, 20, 00, 30, 00, 3F, 00, 3F, 40, 3F, AA, 55, 54, AB, AF, FF, 57, FF, FF, FF, FC, FF, F1, FC, C0, F2, 00, 00, 00, 00, 00, 00, 00, 00, 00, 07, 00, FF, 00, FF, 00, FF, 67, F8, F7, F8, E9, FE, F7, FC, FA, FF, 7D, FF, 3F, 7F, 0F, 9F, 00, 00, 00, 00, 00, 00, 00, C0, 00, C0, 00, E0, 00, F8, 00, FF, 00, 00, 00, 00, 00, 00, 0F, 0F, 3C, 3F, 6F, 7F, 7D, 7F, 7A, 7D, 00, 00, 00, 00, 00, 00, 00, 0F, 00, 30, 00, 47, 00, 78, 00, 40, 00, 00, 00, 00, 78, 78, FF, FF, FF, FF, EB, FF, 55, EB, BE, 41, 00, 00, 00, 00, 00, 78, 00, AB, 00, 7C, 00, C0, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 2F, 3F, FF, FF, FF, FF, FF, FF, F1, FF, 00, 00, 00, 00, 00, 01, 00, 26, 00, C7, 00, 7F, 00, C1, 00, 00, 76, 76, 4A, 5E, 24, 2C, 24, 34, 12, 06, 1E, 12, 12, 16, 12, 16, 00, 76, 34, 4E, 18, 24, 18, 24, 1C, 02, 04, 12, 0C, 12, 0C, 12, D5, FA, EA, FD, 7D, 7F, 3A, 3F, 3F, 3F, 1F, 1F, 1F, 1F, 3B, 3F, 00, 80, 00, 80, 00, 40, 00, 20, 00, 38, 00, 1F, 00, 1F, 00, 3F, 54, AB, A9, 57, 5F, FF, AF, FF, FF, FF, FC, FF, F1, FC, C0, F2, 00, 00, 00, 01, 00, 00, 00, 01, 00, 0F, 00, FF, 00, FF, 00, FF, CF, F0, EF, F0, D2, FD, ED, FA, F5, FF, 7A, FF, 3F, 7F, 0F, 9F, 00, 80, 00, 00, 00, 80, 00, 80, 00, C0, 00, F0, 00, FC, 00, FF, 00, 00, 00, 00, 28, 28, 28, 28, 00, 28, 00, 28, 44, 6C, 6C, 44, 10, 00, 10, 00, 38, 00, 38, 00, 38, 10, 38, 10, 7C, 10, 7C, 10, 00, 00, 00, 00, 00, 00, 28, 28, 28, 28, 28, 28, 00, 28, 00, 28, 00, 00, 00, 00, 10, 00, 38, 00, 38, 00, 38, 00, 38, 10, 38, 10, 6C, 44, 44, 44, 6C, 7C, AA, C6, 00, EE, C6, EE, FF, FF, C7, 6F, 7C, 10, 7C, 10, 7C, 44, FE, 00, FE, 10, FE, C6, FF, FF, 7C, 44, 44, 6C, 6C, 44, 6C, 44, 44, 44, 6C, 7C, AA, C6, 01, EF, C7, EE, 7C, 10, 7C, 10, 7C, 10, 7C, 10, 7C, 44, FE, 00, FF, 11, FE, C6, 00, 00, 00, 00, 28, 28, 28, 28, 28, 28, 00, 28, 00, 28, 44, 6C, 00, 00, 10, 00, 38, 00, 38, 00, 38, 00, 38, 10, 38, 10, 7C, 10, 00, 00, 00, 00, 28, 28, 28, 28, 28, 28, 00, 28, 00, 28, 44, 6C, 00, 00, 10, 00, 38, 00, 38, 00, 38, 00, 38, 10, 38, 10, 7C, 10, 6C, 44, 6C, 44, 44, 44, 6C, 7C, AA, C6, 00, EE, C7, EF, 7C, FF, 7C, 10, 7C, 10, 7C, 10, 7C, 44, FE, 00, FE, 10, FF, C7, 7C, 44, 6C, 44, 6C, 44, 44, 44, 6C, 7C, AA, C6, 00, EE, C7, EF, FE, FF, 7C, 10, 7C, 10, 7C, 10, 7C, 44, FE, 00, FE, 10, FF, C7, FE, C6, 00, 00, 00, 00, 00, 00, 28, 28, 28, 28, 28, 28, 00, 28, 00, 28, 00, 00, 00, 00, 10, 00, 38, 00, 38, 00, 38, 00, 38, 10, 38, 10, 00, 00, 28, 28, 28, 28, 28, 28, 00, 28, 00, 28, 44, 6C, 6C, 44, 10, 00, 38, 00, 38, 00, 38, 00, 38, 10, 38, 10, 7C, 10, 7C, 10, 44, 6C, 6C, 44, 6C, 44, 44, 44, 6C, 7C, AB, C7, 01, EF, C7, EC, 7C, 10, 7C, 10, 7C, 10, 7C, 10, 7C, 44, FF, 01, FF, 11, 7C, 44, 6C, 44, 44, 44, 6C, 7C, AA, C6, 00, EE, C6, EE, FF, FF, C7, EF, 7C, 10, 7C, 10, 7C, 44, FE, 00, FE, 10, FE, C6, FF, FF, FE, C6, 00, 00, 00, 00, 00, 00, 1C, 1F, 00, 00, 1C, 1F, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 1F, 00, 3F, 03, 1F, 00, 00, 00, 00, 00, 03, 02, 05, 07, F9, FF, 6C, 8B, 00, 08, 6C, 8B, F9, FF, 05, 07, 02, 02, 07, 01, FF, 09, FF, 00, FF, F2, FF, 00, FF, 09, 07, 01, 00, 00, 00, 00, 03, 03, 31, 3E, 00, 00, 31, 3E, 03, 03, 00, 00, 00, 00, 00, 00, 03, 00, 3F, 00, FF, 0F, 3F, 00, 03, 00, 00, 00, 03, 03, 17, 1F, E7, FF, B2, 2F, 02, 22, B2, 2F, E7, FF, 17, 1E, 02, 02, 1E, 06, FF, 27, FF, 02, FF, CA, FF, 02, FF, 27, 1E, 06, 00, 00, 00, 00, 01, 01, 38, 3F, 00, 00, 38, 3F, 01, 01, 00, 00, 00, 00, 00, 00, 01, 00, 3F, 00, 7F, 07, 3F, 00, 01, 00, 00, 00, 02, 03, 0B, 0F, F3, FF, D9, 17, 01, 11, D9, 17, F3, FF, 0B, 0F, 02, 02, 0F, 03, FF, 13, FF, 00, FF, E4, FF, 00, FF, 13, 0F, 03, 00, 00, 00, 00, 01, 01, 38, 3F, 00, 00, 38, 3F, 01, 01, 00, 00, 00, 00, 00, 00, 01, 00, 3F, 00, 7F, 07, 3F, 00, 01, 00, 00, 00, 02, 03, 0A, 0F, F3, FF, D9, 17, 01, 11, D9, 17, F3, FF, 0A, 0F, 02, 02, 0E, 02, FF, 13, FF, 00, FF, E4, FF, 00, FF, 13, 0E, 02, 00, 00, 00, 00, 03, 03, 71, 7E, 00, 00, 71, 7E, 03, 03, 00, 00, 00, 00, 00, 00, 03, 00, 7F, 00, FF, 0F, 7F, 00, 03, 00, 00, 00, 03, 03, 17, 1F, E7, FF, B2, 2F, 02, 22, B2, 2F, E7, FF, 17, 1F, 02, 02, 1F, 07, FF, 27, FF, 02, FF, CA, FF, 02, FF, 27, 1F, 07, 00, 00, 00, 00, 00, 00, 1C, 1F, 00, 00, 1C, 1F, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 1F, 00, 3F, 03, 1F, 00, 00, 00, 00, 00, 07, 06, 05, 06, F9, FF, 6C, 8B, 00, 08, 6C, 8B, F9, FF, 05, 07, 06, 06, 06, 00, FF, 09, FF, 00, FF, F2, FF, 00, FF, 09, 06, 00

; Rain/Spore/Lava/Acid FX1 GFX
$87A564             db FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, C3, FF, B9, C7, 60, 9F, DF, FF, FF, FD, FF, FF, FF, BF, 77, FF, FF, 2A, D9, A6, 01, FF, FF, FF, FF, FF, FF, FF, FF, FF, 7F, FF, 7F, FF, EF, FF, 52, FF, 00, FF, 00, FF, 02, FD, 80, 7F, 00, FF, 00, FF, 10, EF, 00, FF, FF, FF, FF, FF, FF, FF, C3, FF, BD, C3, 70, 8F, 60, 9F, 00, FF, FF, FF, FF, FF, FF, FF, F7, FF, 7E, FF, EF, FF, D6, FF, 24, DB, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, E7, FF, DB, E7, 60, 9F, 02, FD, 80, 7F, 00, FF, 00, FF, 08, F7, 00, FF, 00, FF, 00, FF, DF, FF, FF, FD, FF, FF, FE, BF, 36, FF, 95, 6A, C1, BE, 00, FF, FF, FF, FF, FF, FF, FF, FF, FF, 7F, FF, 7F, FF, EF, FF, 52, FF, FF, FF, FF, FF, FF, FF, FF, FF, C3, FF, B1, CF, A1, DF, 00, FF, 80, 7F, 00, FF, 00, FF, 08, F7, 00, FF, 00, FF, 02, FD, 00, FF, FF, FF, FF, FF, FF, FF, F7, FF, 7E, FF, EF, FF, 56, FF, 24, DB, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, C3, FF, B9, C7, 60, 9F, DF, FF, FF, FD, FF, FF, FF, BF, F7, FF, 7F, AA, DD, A2, 01, FF, 00, FF, 00, FF, 10, EF, 00, FF, 00, FF, 02, FD, 00, FF, 80, 7F, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, EF, FF, 52, FF, FF, FF, FF, FF, FF, FF, C3, FF, BD, C3, 70, 8F, 60, 9F, 00, FF, FF, FF, FF, FF, FF, FF, F7, FF, 7E, FF, EF, FF, D6, FF, 24, DB, 00, FF, 10, EF, 00, FF, 02, FD, 00, FF, 80, 7F, 00, FF, 10, EF, 23, FF, 19, E7, 2B, D7, 93, EE, D4, FF, FA, FF, EF, FF, FE, FF, F5, FB, EE, F1, 24, FB, 79, BF, 96, 7F, 5B, FF, AE, FF, FF, FF, C7, FF, E9, F7, CC, F3, 20, FF, 1D, FF, 57, FF, EF, FF, B7, FF, FF, FF, FF, FF, FD, FF, 7F, FF, FF, FF, FF, FF, EF, FF, FF, FF, 8F, FF, 37, CF, 2C, DF, 4A, FD, F0, FF, B9, FF, EF, FF, FF, FF, D7, EF, BB, C7, 93, EF, E4, FF, 59, FF, BD, FF, 6F, FF, FF, FF, 3C, FF, 94, FF, 29, F6, 52, EF, C5, FF, D7, FF, 7D, FF, FF, FF, FD, FF, 7F, FF, FF, FF, FF, FF, F7, FF, FF, FF, FF, FF, FF, FF, 3F, FF, 9E, FF, 72, FF, 37, FB, D1, FF, EF, FF, 7E, FF, F7, FF, 9D, 7F, 1E, FF, 6D, FE, D6, F9, 65, FB, 76, FF, AF, FF, FF, FF, 72, FF, 94, FB, 6E, F1, 25, FB, 2B, FF, CC, FF, B7, FF, FF, FF, 7F, FF, FF, FF, FF, FF, F7, FF, FF, FF, FF, FF, FD, FF, FF, FF, FD, FE, 7B, FC, C9, FE, EE, 9F, 07, FF, 9A, FF, EF, FF, FF, FF, 71, FF, B9, 7F, 35, FB, 41, FF, 86, FF, DD, FF, AA, FF, FD, FF, CE, FF, D4, EF, 0A, FD, 2C, FF, 57, FF, 8B, FF, DE, FF, F7, FF, FF, FF, FF, FF, EF, FF, FF, FF, FF, FF, FD, FF, FF, FF, 7F, FF, 71, FF, 3B, FF, B6, 7B, 52, FF, 9C, FF, DF, FF, 7D, FF, FF, FF, C8, FF, DA, ED, 08, FF, AC, 7F, 7F, FF, EB, FF, D6, FF, FD, FF, FD, FE, 7B, FC, C8, FF, AE, DF, 07, FF, 9D, FF, F7, FF, 7D, FF, EF, FF, FF, FF, FF, FF, FD, FF, FF, FF, 7F, FF, FF, FF, EF, FF, FF, FF, FF, FF, FF, FF, FF, EF, FF, EF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, E7, FF, C7, FF, CF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, F7, FF, F3, FF, FB, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, E7, FF, E7, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, F7, FF, EF, FF, DF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, F7, FF, FB, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, F7, FF, F7, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, F7, FF, E7, FF, EF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, FF, E7, FF, F7, FF, FF, FF, FF, FF, FF, FF, FF, FF, DF, FD, FF, FF, FB, FF, FF, BF, FF, EF, FF, FD, FF, FF, F7, FF, BF, FD, FF, FF, FB, FF, FF, FF, 7F, EF, FD, FF, FF, FF, FF, FF, EF, FF, FD, FF, FF, BF, FF, FF, FF, FF, FB, DF, FF, FF, FF, FF, FB, FF, BF, EF, FF, FF, FF, FF, FB, FF, FF, DF, FF, FF, FF, FF, FF, EF, FF, FF, FD, FF, FF, FF, FF, DF, FB, FF, FF, FF, F7, FF, BF, FD, FF, FF, FB, FF, FF, FF, 7F, EF, FD, FF, FF, FF, FF, FF, EF, FF, FD, FF, FF, BF, FF, FF, FF, FF, FB, DF, FF, FF, FF, FF, FB, FF, BF, EF, FF, FF, FF, FF, FB, FF, FF, DF, FF, FF, FF, FF, FF, EF, FF, FF, FD, FF, FF, FF, FF, DF, FB, FF, FF, FF, FF, FF, DF, FD, FF, FF, FB, FF, FF, BF, FF, EF, FF, FD, FF, FF, FF, FF, EF, FF, FD, FF, FF, BF, FF, FF, FF, FF, FB, DF, FF, FF, FF, FF, FB, FF, BF, EF, FF, FF, FF, FF, FB, FF, FF, DF, FF, FF, FF, FF, FF, EF, FF, FF, FD, FF, FF, FF, FF, DF, FB, FF, FF, FF, FF, FF, DF, FD, FF, FF, FB, FF, FF, BF, FF, EF, FF, FD, FF, FF, F7, FF, BF, FD, FF, FF, FB, FF, FF, FF, 7F, EF, FD, FF, FF, FF, FF, FF, FB, FF, BF, EF, FF, FF, FF, FF, FB, FF, FF, DF, FF, FF, FF, FF, FF, EF, FF, FF, FD, FF, FF, FF, FF, DF, FB, FF, FF, FF, FF, FF, DF, FD, FF, FF, FB, FF, FF, BF, FF, EF, FF, FD, FF, FF, F7, FF, BF, FD, FF, FF, FB, FF, FF, FF, 7F, EF, FD, FF, FF, FF, FF, FF, EF, FF, FD, FF, FF, BF, FF, FF, FF, FF, FB, DF, FF, FF, FF, FF, FF, EF, FF, FF, FD, FF, FF, FF, FF, DF, FB, FF, FF, FF, FF, FF, DF, FD, FF, FF, FB, FF, FF, BF, FF, EF, FF, FD, FF, FF, F7, FF, BF, FD, FF, FF, FB, FF, FF, FF, 7F, EF, FD, FF, FF, FF, FF, FF, EF, FF, FD, FF, FF, BF, FF, FF, FF, FF, FB, DF, FF, FF, FF, FF, FB, FF, BF, EF, FF, FF, FF, FF, FB, FF, FF, DF, FF, FF

; Statue Ghosts
$87AD64             db 00, 00, 00, 00, 00, 00, 10, 10, 00, 10, 10, 10, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 10, 28, 38, 00, 10, 00, 00, 00, 00, 00, 00, 04, 04, 00, 08, 00, 10, 00, 20, 40, 40, 00, 00, 00, 00, 00, 00, 00, 04, 10, 18, 28, 38, 10, 30, 00, 40, 00, 00, 00, 00, 00, 00, 10, 10, 38, 38, C6, FE, 38, 38, 10, 10, 00, 00, 00, 00, 10, 10, 28, 38, 44, 7C, 01, FF, 44, 7C, 28, 38, 10, 10, 00, 00, 00, 00, 00, 00, 08, 18, 30, 20, 00, 20, 20, 20, 00, 00, 00, 00, 00, 00, 10, 10, 20, 38, 48, 78, 50, 70, 50, 70, 20, 20, 00, 00, 5A, 66, 2C, 34, 24, 3C, 14, 1C, 08, 0C, 00, 04, 04, 04, 00, 00, 7E, 7E, 3C, 3C, 3C, 3C, 1C, 1C, 0C, 0C, 04, 04, 04, 04, 00, 00, C9, F7, 6B, 77, 63, 7F, 73, 7F, 77, 7B, 37, 3B, 37, 3A, 1B, 1C, FF, 7F, 7F, 3E, 7F, 3E, 7F, 3E, 7F, 1E, 3F, 1F, 3E, 1E, 1F, 0F, 93, EF, C6, FE, C6, FE, CE, FE, EE, DE, EC, DC, EC, 5C, D8, 38, FF, FE, FE, 7C, FE, 7C, FE, 7C, FE, 78, FC, F8, 7C, 78, F8, F0, C9, F7, 6B, 77, 73, 7F, 73, 7F, 77, 7B, 77, 7B, 3F, 3B, 3F, 3A, FF, 7F, 7F, 3E, 7F, 3E, 7F, 1E, 7F, 1E, 7F, 1E, 3F, 0F, 3E, 0E, 93, EF, C6, FE, CE, FE, CE, FE, EE, DE, EE, DE, FC, DC, FC, 5C, FF, FE, FE, 7C, FE, 7C, FE, 78, FE, 78, FE, 78, FC, F0, 7C, 70, BD, FF, 5A, 66, 76, 6E, 24, 3C, 28, 38, 10, 30, 00, 20, 20, 20, FF, 7E, 7E, 7E, 7E, 3C, 3C, 3C, 38, 38, 30, 30, 20, 20, 20, 20, 08, 08, 00, 08, 2A, 36, 20, 28, 08, 28, A0, D4, 04, 2A, 20, 24, 00, 08, 14, 1C, 00, 3E, 14, 3C, 54, 7C, 0A, FE, 51, 7F, 0A, 2E, 02, 02, 05, 27, 22, 52, 00, 20, 00, 04, 04, 0A, 00, 04, 00, 00, 20, 22, 00, 27, 88, FA, 04, 24, 20, 24, 11, 1F, 00, 04, 04, 04, 08, 08, 00, 40, 22, 2A, 40, 40, 0A, 0A, 95, D7, 02, 02, 40, 40, 00, 08, 00, 40, 00, 2A, 00, 40, 00, 0A, 00, D7, 00, 02, 00, 40, 01, 01, 00, 00, 00, 00, 40, 40, 00, 00, 00, 00, 00, 00, 08, 08, 40, 41, 08, 08, 02, 02, 00, 40, 00, 00, 92, 92, 00, 00, 00, 08, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 0E, 0F, 33, 3C, 7E, 7F, 7F, 77, FB, E4, F7, F9, DD, E2, DA, E5, 0F, 07, 3F, 1F, 7F, 3F, 77, 77, FF, 7F, FF, 7F, FE, 7E, FD, 7D, 70, F0, CC, 3C, 7E, FE, FE, CE, DF, 27, EF, 9F, BB, 47, 5B, A7, F0, E0, FC, F8, FE, FC, EE, EE, FF, FE, FF, FE, 7F, 7E, BF, BE, 00, 00, 00, 00, 00, 00, 01, 11, 04, 0C, 08, 0C, 02, 03, 10, 13, 00, 00, 00, 00, 20, 20, 02, 13, 03, 0F, 00, 0C, 18, 1B, 08, 1B, 00, 00, 00, 00, 00, 00, 10, 10, 20, 20, 00, 00, 00, 00, 10, 90, 00, 00, 00, 00, 00, 00, 80, 90, C0, E0, 60, 60, 30, 30, 20, B0, 01, 01, 00, 01, 06, 07, 08, 09, 10, 11, 21, 20, 21, 22, 43, 44, 00, 01, 00, 01, 00, 07, 06, 0F, 08, 19, 10, 31, 10, 33, 20, 67, 00, 00, 00, 00, C0, C0, 20, 20, 10, 10, 08, 08, 08, 88, 84, 44, 00, 00, 00, 00, 00, C0, C0, E0, 20, 30, 10, 18, 10, 98, 08, CC, 00, 00, 00, 00, 00, 00, 08, 08, 10, 18, 00, 04, 20, 23, 41, 42, 00, 00, 01, 01, 06, 06, 00, 08, 00, 18, 20, 24, 00, 23, 20, 63, 00, 00, 01, 01, 44, 46, 10, 1C, 08, 10, 14, 24, 20, C0, C2, 02, 00, 00, 80, 81, 20, 66, 00, 1C, 00, 18, 00, 34, 04, E4, 00, C2, 03, 03, 0C, 0C, 10, 10, 20, 20, 40, 41, 41, 40, 81, 82, 1F, E0, 00, 03, 03, 0F, 0C, 1C, 11, 31, 20, 61, 02, 43, 64, E7, 00, FF, 80, 80, 60, 60, 10, 10, 08, 08, 04, 04, 04, 04, 02, 82, F8, 07, 00, 80, 80, E0, 60, 70, 10, 18, 08, 0C, 88, 8C, 44, C6, 00, FF, 00, 00, 00, 00, 01, 01, 06, 06, 08, 08, 10, 10, 00, 00, 20, 20, 00, 00, 00, 00, 00, 01, 00, 06, 00, 08, 00, 10, 00, 00, 00, 20, 00, 00, 6C, 6C, 03, 03, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 6C, 00, 03, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 00, 00, 04, 04, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 02, 02, 00, 00, 20, 20, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 40, 40, 00, 00, 20, 20, 00, 00, 20, 20, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, C9, F7, 6B, 77, 63, 7F, 73, 7F, 77, 7B, 37, 3B, 37, 3A, 1B, 1C, FF, 7F, 7F, 3E, 7F, 3E, 7F, 3E, 7F, 1E, 3F, 1F, 3E, 1E, 1F, 0F, 93, EF, C6, FE, C6, FE, CE, FE, EE, DE, EC, DC, EC, 5C, D8, 38, FF, FE, FE, 7C, FE, 7C, FE, 7C, FE, 78, FC, F8, 7C, 78, F8, F0, 00, 01, 00, 00, 08, 08, 11, 11, 00, 00, 00, 00, 00, 00, 00, 00, 18, 19, 0C, 0C, 07, 0F, 02, 13, 00, 00, 00, 00, 00, 00, 00, 00, 80, 80, 20, 60, 40, 60, 00, 10, 00, 00, 00, 00, 00, 00, 00, 00, 30, B0, 00, 60, 80, E0, 80, 90, 08, 08, 00, 00, 00, 00, 00, 00, 21, 22, 21, 20, 10, 11, 08, 09, 06, 07, 00, 01, 00, 01, 01, 01, 10, 33, 10, 31, 08, 19, 06, 0F, 00, 07, 00, 01, 00, 01, 00, 01, 08, 88, 08, 08, 10, 10, 20, 20, C0, C0, 00, 00, 00, 00, 00, 00, 10, 98, 10, 18, 20, 30, C0, E0, 00, C0, 00, 00, 00, 00, 00, 00, 41, 42, 22, 25, 26, 2A, 0C, 14, 08, 38, 22, 62, 81, 81, 00, 00, 00, 43, 00, 27, 00, 2E, 00, 1C, 00, 38, 04, 66, 00, 81, 00, 00, 82, 42, 04, C4, 04, 24, 18, 18, 10, 10, 00, 00, 80, 80, 00, 00, 00, C2, 00, C4, 00, 24, 00, 18, 00, 10, 60, 60, 00, 80, 00, 00, 81, 82, 41, 40, 40, 41, 20, 20, 10, 10, 0C, 0C, 03, 03, 00, 00, 44, C7, 22, 63, 20, 61, 11, 31, 0C, 1C, 03, 0F, 00, 03, 00, 00, 02, 82, 04, 04, 04, 04, 08, 08, 10, 10, 60, 60, 80, 80, 00, 00, 44, C6, 80, 84, 08, 0C, 10, 18, E0, F0, 80, E0, 00, 80, 00, 00, 40, 40, 00, 00, 80, 80, 80, 80, 00, 00, 80, 80, 80, 80, 40, 40, 00, 40, 00, 00, 00, 80, 00, 80, 04, 04, 00, 80, 00, 80, 00, 40, 00, 00, 00, 00, 00, 00, 00, 00, 30, 30, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, CB, FB, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 20, 20, 00, 00, 20, 20, 00, 00, 00, 00, 94, 94, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 40, 40, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 04, 44, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 04, 04, 00, 00, 01, 01, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 20, 20, 00, 00, 02, 02, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 03, 04, 00, 1C, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 03, 07, 18, 1C, 23, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 40, 00, 00, C0, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, C0, C0, 20, E0, 10, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 06, 08, 11, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 07, 08, 1F, 20, 00, 00, 00, 00, 00, 00, 00, 01, 08, 10, 47, 8F, 13, 73, 9C, 9F, 00, 00, 00, 00, 00, 00, 01, 0E, 1F, 60, FF, 00, F3, 0C, 9F, 60, 00, 00, 00, 00, 01, 0F, 87, 00, E0, 60, 9F, 9F, 89, F0, 3F, C8, 00, 00, 00, 00, 0F, 70, FF, 00, E0, 1F, 9F, 60, FF, 00, F7, 00, 00, 00, 00, 00, FE, FE, 51, AF, 03, 03, E0, E0, 80, 70, D0, 30, 00, 00, 00, 00, FE, 01, FF, 00, 03, FC, E0, 1F, F0, 08, F0, 00, 00, 00, 00, 00, 00, 00, 00, 00, 18, F8, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, F0, F8, 07, 00, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 54, 54, 66, 76, 16, 06, 27, 07, 02, 22, 32, 2A, 2A, 3A, 35, 35, 74, 0B, 56, 09, 36, 49, 37, 48, 32, 4D, 3A, 05, 3A, 05, 35, 0A, 05, 06, 02, 03, 03, 02, 00, 01, 03, 03, 0E, 0E, 38, 38, 0C, FC, 07, 08, 03, 04, 03, 04, 01, 02, 03, 8C, 0E, F1, 38, C7, FC, 03, D1, 53, 66, A6, 0F, FF, 93, 6B, 3E, 72, 7C, 3D, BB, 3A, B4, 3C, D3, 3C, E6, 19, FF, 00, FB, 04, FE, 21, FF, 30, FB, 3C, FC, 13, 01, 01, 62, FE, 17, 68, A4, 82, 18, 84, 30, 48, 10, 20, 80, 90, 01, FE, FE, 01, 7F, 80, A6, 59, 9C, 60, 78, 80, B0, 48, D0, 28, 73, 90, 16, 1A, D9, 38, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, F3, 0C, 1E, E1, F9, 06, 00, FF, 00, 00, 00, 00, 00, 00, 00, 00, 40, C0, E0, E0, 90, 10, 50, 70, 14, 1C, 00, 00, 00, 00, 00, 00, C0, 00, E0, 00, 90, 60, 70, 88, 1C, E2, 00, 0E, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 33, 33, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 33, 4C, 00, 73, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 10, 20, 48, C0, 28, F8, 20, 60, 20, 20, 02, 06, 4B, 51, 25, 16, 30, C8, D8, 20, F0, 04, 68, 96, 28, 57, 16, E9, BF, 00, 77, 88, 00, 00, 00, 00, 03, 02, 0B, 0D, 4C, 73, 29, 31, 1D, 13, 0A, 0D, 00, 00, 00, 03, 03, 0C, 0F, 70, 7F, 80, 3E, C0, 1F, 20, 0F, 10, 25, 0D, 09, A9, 92, 52, F0, F1, 18, F8, 9E, 81, F4, F7, F8, F8, 3D, C2, E9, 16, D2, 3D, F1, 7E, F8, 0F, 7F, 00, F7, 08, F8, 7F, E4, F8, 8E, F7, 3C, 08, 07, C7, 87, F8, 45, 46, 64, 9C, 16, 19, FF, 00, FF, 00, 3F, C0, C7, 38, FF, 00, 47, B8, FC, 03, 1F, E0, D8, 10, 57, 47, 0F, EC, 77, B3, 0C, 70, 9C, 04, 6C, 80, 19, 91, EF, 00, B8, 00, F3, 00, CC, 00, FF, 00, FB, 00, FF, 00, 9E, 60, 20, 60, 60, 60, 00, 00, 00, 80, 00, 80, 00, 80, 00, 80, 00, 80, E0, 00, E0, 00, 80, 00, 80, 00, 80, 00, 80, 00, 80, 00, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 08, 03, 10, 0E, 35, 2B, 08, 12, 0F, 10, 00, 00, 00, 09, 01, 1E, 0B, 14, 1F, 20, 3E, 00, 1F, 20, 1F, 20, 0F, 10, A3, C0, 3C, C0, D3, B0, 46, 81, 38, 06, E5, 1D, 98, 78, 1F, E0, FF, 00, FF, 00, 6F, 00, 7F, 00, FE, 01, FD, 03, F8, 0F, C6, 3E, C6, 3E, CD, 3D, 9A, 7B, 74, F5, C2, C2, 31, 31, 72, 73, FE, 01, FE, 01, FD, 02, FB, 04, F5, 3A, C2, FD, 31, CE, 73, 8C, F0, 32, B8, 78, 18, DE, 4A, CE, 84, 84, 03, 03, F9, F9, 1C, FC, F2, 1D, F8, 17, DE, 31, CE, 31, 84, 7A, 03, FC, F9, 06, FC, 03, 70, 58, 88, 98, 00, E8, 00, 04, 00, 02, 40, C0, E0, E0, 00, 00, 78, 80, 98, 60, E8, 14, 04, FA, 02, 01, C0, 20, E0, 10, 00, C0, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 02, 03, 05, 06, 0F, 0D, 1E, 1B, 34, 36, 00, 00, 00, 00, 01, 00, 03, 00, 07, 00, 0E, 00, 1D, 00, 3A, 01, 16, 2E, A4, DC, 58, 88, B0, 10, 8F, CF, 19, 9E, 68, 71, A1, C7, 3E, 41, FC, 03, F8, 07, F0, 0F, 4F, 30, 9F, 60, 7F, 80, FF, 00, 64, 64, 0D, 0D, 11, 1D, 2C, 32, 92, E1, EE, 2D, A1, A7, 8B, 1B, 64, FB, 0D, F2, 1D, E2, 3E, C1, FF, 00, EF, 10, 87, 58, BB, 44, C1, E2, 83, E4, 29, ED, A5, E9, ED, E9, E2, EC, 62, EC, 69, EE, E3, 1C, E7, 18, EE, 10, EE, 10, EE, 10, EF, 10, EF, 10, EF, 10, CC, 3C, 26, 1E, AD, 9D, A8, 99, 3A, 9B, 51, B3, D6, B6, 15, 75, FC, 03, FE, 01, 7D, 02, 79, 06, 7B, 04, 73, 0C, 76, 09, F5, 0A, 00, 00, 80, 80, 02, 02, 01, 06, 11, 1D, 4C, 71, 9D, E1, 28, C6, 00, 80, 80, 70, 02, FD, 07, F8, 1E, E0, 7E, 80, FE, 00, FF, 00, 00, 00, 00, 00, 40, 40, 00, 80, 00, 40, 48, 80, 47, A2, EC, 88, 00, 00, 00, 00, 40, 80, 80, 40, C0, 38, 48, 37, 6F, 10, 67, 10, 00, 00, 00, 00, 00, 10, 38, 08, E0, E8, 57, A9, CD, 54, 96, 66, 00, 00, 00, 10, 10, 68, 38, C0, D8, 04, DF, 00, BB, 00, B9, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, E0, E0, 30, 90, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, E0, 00, B0, 40, 08, 09, 1E, 1F, 17, 1E, 1E, 16, 19, 10, 12, 1B, 04, 01, 03, 05, 0F, 00, 1B, 00, 1B, 00, 1B, 00, 1F, 00, 1D, 00, 07, 08, 07, 08, AB, 8D, 6A, 2E, 84, 0C, 1C, 9C, 3D, 7F, 4E, 4E, 00, 00, 00, 00, 67, 10, CE, 10, AC, 50, 9C, 64, 7F, 81, 4E, 8E, 00, 80, 00, 00, 82, 82, 00, 00, 04, 04, 0E, 0F, 1F, 10, 50, 60, 2F, 4F, 5E, 1E, 82, 05, 00, 07, 04, 03, 0F, 10, 1F, 60, 7F, 80, 70, 80, 61, 80, 02, 01, 88, 91, 4E, 71, C0, CE, B6, 77, 58, 39, A4, 9D, E4, 0D, 03, FC, 9F, 60, 7F, 80, CE, 31, F7, 08, F9, 06, 7D, 02, FD, 02, 79, 78, 3C, BD, 46, 26, B5, 15, 05, 95, E3, 73, F7, 6E, EF, 64, 79, 86, BD, 42, 66, 99, F5, 0A, F5, 0A, 93, 0C, 9F, 00, 9F, 00, A5, 56, A4, 57, 05, F7, 8F, FF, 7D, 8F, 9E, 0D, 5F, 4C, A2, 14, F7, 08, F7, 08, F7, 08, FF, 00, FF, 00, FF, 00, BF, 00, F7, 08, 00, 00, 00, 00, 01, 01, 01, 01, 02, 03, 05, 07, 05, 05, 0B, 0E, 00, 00, 00, 00, 01, 00, 01, 00, 03, 00, 06, 00, 06, 00, 0D, 00, 6A, 6F, D6, DC, 88, 90, F7, C6, 6A, 08, D6, 12, E1, 69, D9, C0, 77, 00, EF, 00, FF, 00, 39, 00, F6, 01, EC, 01, 9B, 04, 39, 06, 8A, 16, C1, 81, 24, A5, A1, 0F, D7, CF, CD, AD, CB, 4B, C3, C3, FC, 01, 43, 3C, 8D, 52, AF, 51, 5F, 26, ED, 1E, CB, 2C, C3, 44, E2, F7, 23, 6E, 25, 3E, 56, 6D, 18, 4E, 1C, 40, 14, 6C, 44, 7C, 77, 08, 6F, 90, 3F, C0, 7F, 80, 7E, 81, 7C, 83, 7C, 83, 7C, 83, 60, FF, 69, E6, 1D, 96, 56, 5C, 42, A0, BF, FD, 63, 61, 70, 72, FF, 00, EF, 10, 9F, 60, 5F, A0, E3, 1C, FE, 00, 62, 9C, 73, 8C, 95, 75, 26, D7, 42, 93, D2, 0B, 72, AB, 76, AF, 54, 8F, B5, 46, F5, 0A, F7, 08, F3, 0C, FB, 04, DB, 04, DF, 00, FF, 00, F7, 08, 53, 8B, A4, 19, 9A, 31, D1, 33, A2, 78, 3B, E8, 92, 61, 5C, E3, FC, 00, FE, 00, FE, 00, FE, 00, F7, 00, F7, 00, FF, 00, FF, 00, 47, 03, 4C, 00, 65, 0A, 46, 2F, F6, 3E, 9C, 5C, 5C, DC, 08, 08, EC, 10, EF, 10, EF, 10, EF, 10, FE, 01, DC, 23, DC, 23, 08, F4, 8B, 32, F2, 3C, 5D, 99, 8B, C9, 0A, 07, 01, 02, 01, 02, 01, 02, FD, 00, FF, 00, DE, 20, CF, 30, 0F, F0, 03, 7C, 03, 3C, 03, 3C, 50, 70, 20, E0, C0, 60, 40, A0, 80, 20, 00, 20, C0, A0, 80, C0, B0, 00, 60, 10, E0, 10, E0, 10, E0, 10, E0, 00, 60, 00, 40, 20, 00, 02, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 02, 05, 00, 03, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, C2, 81, A8, C6, 53, 6F, 2F, 3C, 4F, 4F, 10, 10, 0C, 1C, 01, 02, FF, 00, FF, 00, 7F, 80, 3F, 40, 4F, 30, 10, 0F, 1C, 03, 03, 04, 66, 6F, F4, 0D, AF, BE, 3F, FE, F3, F2, 52, 53, 98, 38, 2C, 5F, 9F, 00, FD, 02, BF, 40, FF, 00, F3, 0C, 53, AC, F8, 07, 7F, 80, 22, 60, 20, 60, 29, 65, CF, 4B, E2, 42, E5, 66, F4, 26, 8C, 8E, 9B, 04, 9B, 04, 9E, 00, BC, 00, B5, 08, B1, 08, F1, 08, 89, 70, B1, 54, C2, 47, 8B, 13, 0D, 8D, 1D, BD, 5C, C8, 48, C8, 00, 48, F7, 08, C7, 38, 9F, 60, 93, 60, BF, 40, D4, 23, D4, 23, 54, A3, 52, EE, F4, CC, A0, D8, 08, F8, 90, F0, E0, F0, 10, F0, 58, 38, FE, 01, FC, 03, F8, 07, F8, 06, F0, 0C, F0, 08, F0, 08, F8, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 01, 00, 00, E8, 00, 80, 00, 00, 00, 00, 00, 00, 00, 01, 01, 02, 01, 06, 0A, 10, 15, 1C, 03, 01, 0A, 51, 35, 67, 7C, 50, 78, C8, 80, 00, 1F, 20, 1B, 20, 02, 7C, 5F, A0, 5B, 80, 6C, 83, B0, 04, E0, 18, A0, 60, 40, C0, 40, 00, 80, 80, 80, 80, 00, 00, 00, 00, 00, 00, E0, 00, C0, 00, C0, 00, 80, 00, 80, 00, 00, 00, 00, 00, 00, 00, 00, 01, 08, 02, 1C, 1D, 07, 06, 3F, 2B, 37, 33, 38, 34, 64, 4C, 01, 0E, 0E, 11, 1F, 00, 0F, 10, 37, 00, 2F, 00, 2C, 03, 7C, 03, 7C, F8, 22, 22, 18, A6, 08, 04, A8, F0, 98, B8, 68, 50, 58, 70, FC, 03, 26, D9, BE, 41, 3C, C3, C8, 07, FC, 03, 68, 87, 68, 86, BE, BE, 1E, 16, 1F, 14, 1A, 11, 04, 0B, 10, 14, 0A, 0A, 00, 00, B9, 40, 19, E0, 1B, E0, 1F, E0, 0F, 70, 14, 2B, 0A, 04, 00, 00, 54, 08, 40, 1C, 8C, 5C, 1C, DC, 14, 14, 18, 10, 28, 28, 08, 08, 54, A3, 54, A3, D4, 23, D4, 22, 1C, E2, 18, E4, 28, 14, 08, 00, 1A, 1A, 0E, 0A, 0A, 0E, 04, 04, 00, 00, 00, 00, 00, 00, 00, 00, 1E, E0, 0E, 10, 0E, 00, 04, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 00, 00, 00, 00, 00, 00, 00, 01, 01, 02, 03, 0E, 0F, 7C, 7D, C4, FD, 00, 00, 00, 00, 00, 00, 01, 00, 03, 00, 0F, 00, 7D, 02, FD, 02, 00, 00, 00, 00, 00, 00, 80, 80, 40, C0, 00, 80, 60, E0, 00, 80, 00, 00, 00, 00, 00, 00, 80, 00, C0, 00, 80, 70, E0, 1C, 80, 7F, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 02, 03, 02, 03, 03, 02, 03, 02, 04, 06, 04, 06, 04, 06, 01, 00, 03, 00, 03, 00, 03, 00, 03, 00, 07, 00, 07, 00, 07, 00, 80, 00, 0E, 0E, 33, 3F, 60, 7E, 21, 3F, 60, 7E, 21, 3F, 60, 7E, FF, 00, F1, 00, C0, 00, 81, 00, C0, 00, 81, 00, C0, 00, 81, 00, E5, 5D, 45, 5D, 14, 0D, B1, 8C, 3B, 06, DB, 86, 3B, 06, D3, 8E, BC, 02, BC, 02, FC, 02, 7C, 02, FE, 00, 7E, 00, FE, 00, 7E, 00, 10, F0, 60, B0, D0, 70, BC, 34, 56, D6, 18, 2A, 22, 22, 1E, 16, F0, 08, D0, 08, B0, 0C, EC, 00, EE, 00, 36, C0, 2E, D0, 1A, E0, 01, 01, 02, 01, 01, 04, 0E, 07, 00, 09, 00, 04, 08, 02, 00, 00, 00, 06, 03, 0C, 07, 08, 0F, 10, 0F, 10, 04, 3B, 0E, 31, 00, 3F, 40, 00, 00, 40, 00, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, C0, 38, C0, 20, 80, 40, 00, C0, 00, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 58, 48, 58, 48, 70, 50, 70, 50, 20, 20, 00, 00, 00, 00, 00, 00, 78, 04, 78, 00, 70, 00, 70, 00, 20, 00, 00, 00, 00, 00, 00, 00, 18, 30, 48, 60, 54, 6C, 04, 3C, 28, 38, 18, 18, 00, 00, 00, 00, 28, 46, 78, 04, 7C, 00, 3C, 00, 38, 00, 18, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 03, 03, 0C, 0F, 13, 1C, 36, 38, 6E, 72, FD, C4, CC, 84, 00, 80, 03, 00, 0F, 00, 1F, 00, 3F, 00, 7D, 00, FB, 00, FB, 00, FF, 00, 01, FC, 05, FC, 19, E4, AC, 1C, 40, 3C, 04, 3C, 85, 3D, E5, 5D, FD, 02, FD, 02, FD, 02, FD, 02, FD, 02, FD, 02, FC, 02, BC, 02, 36, BE, 0A, 9F, 35, BF, 8A, 1F, B5, 3F, 8A, 1F, B5, 3F, CA, 5F, BE, 41, 9F, 60, BF, 40, 9F, 60, BF, 40, 9F, 60, BF, 40, DF, 20, 00, 00, 80, 80, 40, C0, E0, E0, 60, E0, B0, F0, 54, F4, BA, FA, 00, C0, 80, 60, C0, 30, E0, 18, E0, 1C, F0, 0E, F4, 0A, FA, 05, 06, 04, 04, 06, 04, 06, 05, 06, 03, 02, 03, 02, 02, 03, 02, 03, 07, 00, 07, 00, 07, 00, 07, 00, 03, 00, 03, 00, 03, 00, 03, 00, 21, 3F, 60, 7E, 33, 3F, 7E, 3E, 74, 34, 70, 10, 3F, 0E, AF, 01, C0, 00, 81, 00, C0, 00, C1, 00, CB, 00, EF, 00, F1, 00, FE, 00, 33, 0E, D2, 8F, 32, 0F, 53, 0F, 73, 0F, A7, 1F, 66, 1E, CE, 3E, FE, 00, 7E, 00, FE, 00, FE, 00, FE, 00, FE, 00, FF, 00, FF, 00, B5, 3F, E2, 7F, A9, 37, EC, 73, 9D, 33, EC, 73, DD, 73, E8, 77, BF, 40, FF, 00, BF, 40, FF, 00, BF, 40, FF, 00, FF, 00, FF, 00, 54, F4, BA, FA, 55, F5, BA, FA, 55, F5, BA, FA, 55, F5, BA, FA, F4, 0B, FA, 05, F5, 0A, FA, 05, F5, 0A, FA, 05, F5, 0A, FA, 05, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 80, 00, 80, 00, 80, 00, 80, 00, C0, 00, C0, 00, C0, 01, 01, 01, 01, 01, 01, 00, 00, 00, 00, 01, 01, 01, 01, 01, 01, 01, 00, 01, 00, 01, 00, 00, 00, 00, 00, 01, 00, 01, 00, 01, 00, 57, 80, 2A, C1, BD, C3, 9B, E6, C6, FC, ED, 7C, FA, FD, 58, FF, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, BF, 00, 5F, 00, D4, D4, 68, 68, D0, 50, A0, 60, 40, 80, 41, 20, 02, 60, 41, 68, D4, 2B, 68, 97, D0, 2F, E0, 1E, C0, 3E, 61, 9E, 62, 9D, 6D, 92, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 80, 00, 80, 00, 80, 02, 07, 03, 03, 01, 01, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 07, 00, 02, 00, 01, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 4B, 22, 85, 91, 6B, 21, F2, 70, 10, 1C, 15, 13, 39, 31, 42, 24, EB, 14, 8D, 62, 7B, 84, F2, 0D, 1C, E3, 1F, 60, 3F, 40, 66, 99, C1, E2, 0E, 09, AD, 0C, 95, D3, 66, 7F, 7E, 7D, 12, 26, 68, 73, EB, 14, 8E, 70, F3, 00, EF, 00, 7E, 80, 7F, 80, 3E, C1, 7A, 84, 83, 47, F1, 90, BF, 00, BD, C3, E6, FE, 7E, BE, 58, 64, 96, CE, D7, 28, 71, 0E, FF, 00, FF, 00, 7E, 01, FE, 01, 7C, 83, 5E, 21, D5, 41, A1, 81, D5, 85, 4E, 0E, 08, 38, A8, C8, 9C, 8C, 42, 24, D4, 2A, B5, 4A, D7, 28, 4E, B0, 38, C7, F8, 06, FC, 02, 66, 99, 40, E0, 40, 40, 80, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, E0, 00, C0, 00, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 4A, 46, A5, A4, BD, BC, 7C, 3D, 0E, 5D, 04, 57, 36, 07, 37, 27, 4E, B1, CF, 10, D7, 00, 57, 80, 77, 80, 7F, 80, 3F, C0, 3F, 40, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, D1, 7F, E2, 7F, E5, 7F, EA, 7F, F5, 7F, EA, 7F, FD, 7F, E3, 63, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 00, E3, 1C, 55, F5, BB, FB, 54, F4, BA, FA, 74, F4, AA, EA, 74, F4, E8, E8, F5, 0A, FB, 04, F4, 0B, FA, 05, F4, 0B, EA, 15, F4, 0B, E8, 17, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, C0, 00, C0, 00, C0, 00, C0, 00, 80, 00, 80, 00, 80, 00, 80, 00, 00, 02, 07, 01, 00, 02, 03, 0D, 07, 05, 03, 07, 07, 04, 03, 00, 03, 04, 00, 01, 06, 03, 04, 08, 10, 07, 00, 06, 00, 05, 00, 78, CC, CC, C6, CC, 86, AC, A6, D4, 56, 8C, 87, AB, 85, 15, 44, FC, 03, 6E, 11, CE, 31, FE, 01, 8E, 21, DF, 20, AF, 50, 17, A8, 1E, 32, 33, 62, 33, 61, 35, 65, 2B, 6A, 31, E1, D7, A2, AA, 20, 3E, C1, 77, 88, 73, 8C, 7F, 80, 71, 84, FB, 04, F7, 08, EA, 15, 00, 00, C0, A0, 80, 00, 40, C0, D0, C0, A0, C0, E0, E0, 20, 80, 00, C0, 60, 00, 80, 60, C0, 20, 30, 08, E0, 00, 60, 00, E0, 00, 00, 00, 01, 01, 01, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 00, 02, 03, 04, 00, 03, 00, 00, 00, 00, 00, 00, 00, 00, B0, D4, 58, 14, 59, 41, 00, 09, 00, 01, 60, 70, C0, 80, 00, 20, 34, 0B, DC, 23, 59, A6, 19, E6, 31, 4E, 50, 89, E0, 19, 60, 99, B4, DC, AA, CD, 2C, 34, 90, 10, 8D, 01, 6D, C1, 41, 53, 00, 80, FC, 03, FE, 00, 3D, C2, F0, 0F, FE, 00, 7E, 00, C1, 2C, 92, 6D, 2D, 3B, DD, B3, 34, 2C, 0B, 0C, 3B, 84, 3B, 86, 83, 82, 48, 01, 3F, C0, 7F, 00, BC, 43, 0F, F0, 7F, 00, 7F, 00, CB, 34, 49, B6, 0D, 2B, 12, 20, 9B, 83, 00, 90, 00, 80, 07, 0F, 03, 01, 01, 05, 2C, D0, 33, CC, 9B, 64, 98, 67, 8C, 73, 0B, D0, 07, 98, 07, 98, 00, 00, 80, 80, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 80, 00, 40, C0, 20, 00, C0, 00, 00, 00, 00, 00, 00, 00, 00, 32, 26, 16, 16, 1C, 14, 1C, 14, 08, 08, 08, 08, 00, 00, 00, 00, 3E, 41, 1E, 21, 1C, 22, 1C, 22, 08, 14, 08, 14, 00, 08, 00, 08, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 57, D6, CB, F8, 9D, C0, 41, 3E, 84, 40, 15, 95, 40, 20, 20, C0, EF, 00, 87, 00, 3F, 00, FF, 00, C1, 3A, 81, 6A, 20, 9F, C0, 1F, 9D, 01, 62, 80, 39, 80, 02, FC, 01, 82, A0, A1, 02, 06, 04, 07, 9D, 62, FE, 01, FF, 00, FF, 00, A3, 5C, 89, 56, 04, F9, 03, F8, 00, C0, 00, 80, 00, 00, 00, 00, 00, 00, 00, 80, 01, A1, 28, A0, 40, 3F, C0, 3F, 00, FF, 00, FF, 00, FF, 00, 7F, 81, 5E, 81, 56, 00, 02, 00, 01, 00, 00, 00, 00, 00, 00, 01, 01, 84, 85, 10, 91, 03, FC, 03, FC, 00, FF, 00, FF, 00, FF, 00, FE, 81, 7A, 85, 6A, 40, 60, 40, 68, D0, F4, A0, B4, 48, 00, 20, 30, 00, 00, 00, 00, 20, 99, 28, 96, BC, 02, DC, 02, 78, 86, 30, 4C, 00, 00, 00, 00, 40, 52, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 52, AD, 00, 1F, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 03, 4B, F8, F8, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 4B, B4, F8, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 03, 07, 41, 57, 4B, 6F, 45, 6D, 12, 00, 08, 0C, 00, 00, 00, 00, 05, 98, 55, 28, 7D, 00, 7B, 00, 1E, 21, 0C, 12, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 01, 01, 03, 03, 04, 07, 05, 07, 07, 05, 04, 06, 00, 00, 00, 00, 01, 00, 03, 00, 07, 00, 07, 00, 07, 00, 06, 01, 7F, 7F, FD, FD, DC, FD, E6, D7, F6, D7, FE, DF, D5, FE, 4F, 74, 7F, 00, FD, 02, FD, 02, F7, 08, F7, 08, FF, 00, FF, 00, 7F, 80, CE, CD, F5, F7, E2, E2, A0, A2, 25, 67, 00, FF, FF, 00, 2B, 28, CF, 30, F7, 08, E2, 1D, A2, 5D, 67, 98, FF, 00, FF, 00, D7, 00, 00, 00, 00, 00, 88, 88, 70, 70, 9D, FD, 8E, CE, 0A, CE, 8E, 7E, 00, FF, 00, FF, 88, 77, 70, 8F, FD, 02, EE, 11, CE, 31, FE, 01, 00, 00, 00, 00, 00, 00, 00, 00, 00, 40, 80, 80, 9E, BF, EC, AC, 00, FF, 00, FF, 00, FF, 00, FF, 40, BF, E0, 1F, FD, 00, EE, 11, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 11, 11, 35, B5, 59, 71, 00, FF, 00, FF, 00, FF, 00, FF, 00, FF, 11, EE, BD, 42, 79, 86, 00, 00, 01, 01, 01, 01, 00, 00, 00, 00, F4, F4, D5, D5, 0A, B9, 00, FF, 01, FE, 01, FE, 00, FF, 00, FF, F4, 0B, D5, 2A, BF, 40, 23, 23, B3, B3, 99, 99, DD, DD, EA, EE, CA, ED, 76, 44, A9, 80, 23, DC, B3, 4C, 99, 66, DD, 22, EE, 11, EF, 10, 77, 88, B9, 46, 00, 00, B8, B8, 9C, 9C, E7, E7, 91, F1, 4C, 7C, 32, EE, 17, 73, 00, FF, B8, 47, 9C, 63, E7, 18, F1, 0E, 7C, 83, FE, 01, FF, 00, 00, 00, 00, 00, 00, 00, 00, 00, C0, C0, CE, CE, 61, 61, 38, 38, 00, FF, 00, FF, 00, FF, 00, FF, C0, 3F, CE, 31, 61, 9E, 38, C7, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 80, 80, DB, DB, F7, F7, 00, E0, 00, FF, 00, FF, 00, FF, 00, FF, 80, 7F, DB, 24, F7, 08, 00, 00, 00, 00, 00, 00, 00, 00, 08, 08, 5C, 5C, 7E, 7E, 95, FD, 00, 00, 00, 80, 00, F8, 00, FE, 08, F6, 5C, A3, 7E, 81, FD, 02, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 20, 24, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, C0, 00, F0, 24, DB, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 40, 40, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 40, 80, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 05, 05, 04, 07, 08, 0F, 1C, 1F, 1D, 1D, 2E, 2E, 30, 30, 00, 00, 05, 0A, 07, 18, 0F, 30, 1F, 60, 1D, 62, 2E, D1, 30, CF, 00, FF, 1C, E0, 20, CF, 00, 0B, 38, 3E, E1, E1, 0C, 08, FF, 87, 00, 00, FF, 00, EF, 10, 8B, 74, 3E, C1, E1, 1E, 0C, F3, FF, 00, 00, FF, 84, 04, 32, CC, 00, 0F, 01, 63, 88, 04, 29, 30, FE, FF, 01, 01, AB, 50, FE, 01, 0F, F0, 63, 9C, FC, 03, 3F, C0, FF, 00, 01, FE, 16, 0E, C4, 3C, 05, FD, 1C, 1C, 02, 02, 08, AB, FB, 08, 04, 04, 7E, 81, FC, 03, FD, 02, 5C, A3, 02, FD, AB, 54, FB, 04, 04, FB, 80, DC, 03, 7D, 42, 04, EE, 91, 4D, 72, 00, 0F, 35, 30, 00, 00, DE, 21, 7F, 80, 67, 98, FF, 00, 7F, 80, 0F, F0, CF, 00, 00, FF, 92, FB, 0C, E7, 49, 36, 08, F4, C7, 23, E4, 04, 47, 34, F0, F0, FB, 04, EF, 10, 7F, 80, FC, 03, E4, 18, F8, 03, F7, 08, F0, 0F, 06, 45, 73, 03, 40, 7C, 01, 01, 9C, 00, 40, 7E, A6, FE, FE, FE, 77, 88, 7B, 84, 7C, 83, 81, 7E, BC, 43, 7E, 81, FE, 01, FE, 01, 92, A7, 01, 63, C2, 89, B7, 80, 01, B6, 2A, F8, 1B, 5A, CD, CD, BF, 40, 6F, 90, EF, 10, B7, 48, B7, 48, FB, 04, 5B, A4, CD, 32, 89, 3B, 76, 0E, FA, E6, 05, D2, 29, F3, F5, 79, FF, 90, FF, FF, FF, 00, 7F, 80, FE, 01, DF, 20, FF, 00, FE, 00, FF, 00, FF, 00, DF, DF, 60, 5F, 45, 00, CC, 00, 80, F1, BB, 87, 81, 7F, E0, E0, DF, 20, 7F, 80, 6D, 92, CD, 32, F1, 0E, 7F, 00, FF, 00, E0, 1F, 78, FF, 02, 85, C3, 3C, E8, 18, 93, F0, C1, CF, 89, 99, 00, 00, FF, 00, 87, 78, FF, 00, F8, 07, F3, 0C, CF, 30, 9D, 62, 00, FF, 40, BF, E7, 00, 42, 81, 30, 30, 01, FF, 3F, FF, F9, F9, F0, F0, FF, 00, F7, 08, E7, 18, 30, CF, FF, 00, FF, 00, F9, 06, F0, 0F, C0, C0, 27, E7, E7, E7, 05, 05, F0, F0, 5E, 5E, A8, A8, 00, 00, C0, 3F, F7, 08, E7, 18, 05, FA, F0, 0F, 5E, A1, A8, 57, 00, FF, 00, 00, 80, 80, C0, C0, 20, 20, 30, 30, 40, 40, 00, 00, 00, 00, 00, E0, 80, 78, C0, 3C, A0, 5C, 30, CE, 40, BE, 00, FE, 00, FF, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00
